Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.blog
Interface Entry

All Known Implementing Classes:
  DatabaseEntry

public interface Entry

Entry

Since:
  blojsom 3.0
Version:
  $Id: Entry.java,v 1.4 2006/04/17 20:42:52 czarneckid Exp $
Author:
  David Czarnecki

Method Summary
`java.lang.Boolean` | `allowsComments()` Whether or not comments are allowed
`java.lang.Boolean` | `allowsPingbacks()` Whether or not pingbacks are allowed
`java.lang.Boolean` | `allowsTrackbacks()` Whether or not trackbacks are allowed
`java.lang.Integer` | `getAllowComments()` Determines whether or not this blog entry supports comments.
`java.lang.Integer` | `getAllowPingbacks()` Determines whether or not this blog entry supports pingbacks.
`java.lang.Integer` | `getAllowTrackbacks()` Determines whether or not this blog entry supports trackbacks.
`java.lang.String` | `getAuthor()` Get the author
`Category` | `getBlogCategory()` Get the `Category` object for this blog entry
`java.lang.Integer` | `getBlogCategoryId()` Get the blog category ID
`java.lang.String` | `getBlogId()` Get the blog ID
`java.lang.String` | `getCategory()` Category for the blog entry.
`java.util.List` | `getComments()` Get the comments
`Comment[]` | `getCommentsAsArray()` Get the comments as an array of `Comment` objects
`java.util.Date` | `getDate()` Date of the blog entry This value is constructed from the lastModified value of the file
`java.lang.String` | `getDateAsFormat(java.lang.String format)` Return the blog entry date formatted with a specified date format
`java.lang.String` | `getDateAsFormat(java.lang.String format, java.util.Locale locale)` Return the blog entry date formatted with a specified date format
`java.lang.String` | `getDescription()` Description of the blog entry
`java.lang.String` | `getEncodedCategory()` Return the category name encoded.
`java.lang.String` | `getEscapedDescription()` Escaped description of the blog entry This method would be used for generating RSS feeds where the <, >, and & characters are escaped
`java.lang.String` | `getEscapedTitle()` Title for the entry where the <, >, and & characters are escaped
`java.lang.Integer` | `getId()` Get the entry ID
`java.lang.String` | `getISO8601Date()` Return an ISO 8601 style date http://www.w3.org/TR/NOTE-datetime
`java.util.Map` | `getMetaData()` Return meta data for this blog entry.
`java.util.Date` | `getModifiedDate()` Get the last modified date
`int` | `getNumComments()` Get the number of comments for this entry
`int` | `getNumPingbacks()` Get the number of pingbacks for this entry
`int` | `getNumTrackbacks()` Get the number of trackbacks for this entry
`java.util.List` | `getPingbacks()` Get the pingbacks for this entry
`Pingback[]` | `getPingbacksAsArray()` Get the pingbacks as an array of `Pingback`s objects
`java.lang.String` | `getPostSlug()` Get the post slug
`java.util.List` | `getResponses()` Get the responses (comments, trackbacks, pingbacks)
`java.util.List` | `getResponsesMatchingStatus(java.lang.String status)` Get the responses (comments, trackbacks, pingbacks) matching some status code
`java.util.List` | `getResponsesNotMatchingStatus(java.lang.String status)` Get the responses (comments, trackbacks, pingbacks) not matching some status code
`java.lang.String` | `getRFC822Date()` Return an RFC 822 style date
`java.lang.String` | `getStatus()` Get the status
`java.lang.String` | `getTitle()` Title of the blog entry
`java.util.List` | `getTrackbacks()` Get the trackbacks
`Trackback[]` | `getTrackbacksAsArray()` Get the trackbacks as an array of Trackback objects
`java.lang.String` | `getUTCDate()` Return an UTC style date
`void` | `setAllowComments(java.lang.Integer allowComments)` Set whether comments are allowed
`void` | `setAllowPingbacks(java.lang.Integer allowPingbacks)` Set whether pingbacks are allowed
`void` | `setAllowTrackbacks(java.lang.Integer allowTrackbacks)` Set whether trackbacks are allowed
`void` | `setAuthor(java.lang.String author)` Set the author
`void` | `setBlogCategory(Category blogCategory)` Set the `Category` object for this blog entry
`void` | `setBlogCategoryId(java.lang.Integer blogCategoryId)` Set the blog category ID
`void` | `setBlogId(java.lang.String blogId)` Set the blog ID
`void` | `setComments(java.util.List comments)` Set the comments for this blog entry.
`void` | `setDate(java.util.Date entryDate)` Date of this blog entry
`void` | `setDescription(java.lang.String description)` Set the description for the blog entry
`void` | `setId(java.lang.Integer id)` Set the entry ID
`void` | `setMetaData(java.util.Map metaData)` Set the meta-data associated with this blog entry
`void` | `setModifiedDate(java.util.Date modifiedDate)` Set the last modified date
`void` | `setPingbacks(java.util.List pingbacks)` Set the pingbacks for this blog entry.
`void` | `setPostSlug(java.lang.String postSlug)` Set the post slug
`void` | `setStatus(java.lang.String status)` Set the status
`void` | `setTitle(java.lang.String title)` Set the title of the blog entry
`void` | `setTrackbacks(java.util.List trackbacks)` Set the trackbacks for this blog entry.

Method Detail

### getId

    public java.lang.Integer getId()

  Get the entry ID

  Returns:
    Entry ID

### setId

    public void setId(java.lang.Integer id)

  Set the entry ID

  Parameters:
    `id` - Entry ID

### getBlogId

    public java.lang.String getBlogId()

  Get the blog ID

  Returns:
    Blog ID

### setBlogId

    public void setBlogId(java.lang.String blogId)

  Set the blog ID

  Parameters:
    `blogId` - Blog ID

### getBlogCategoryId

    public java.lang.Integer getBlogCategoryId()

  Get the blog category ID

  Returns:
    Blog category ID

### setBlogCategoryId

    public void setBlogCategoryId(java.lang.Integer blogCategoryId)

  Set the blog category ID

  Parameters:
    `blogCategoryId` - Blog category ID

### getDate

    public java.util.Date getDate()

  Date of the blog entry

  This value is constructed from the lastModified value of the file

  Returns:
    Date of the blog entry

### setDate

    public void setDate(java.util.Date entryDate)

  Date of this blog entry

  Parameters:
    `entryDate` - Date of the blog entry

### getRFC822Date

    public java.lang.String getRFC822Date()

  Return an RFC 822 style date

  Returns:
    Date formatted in RFC 822 format

### getUTCDate

    public java.lang.String getUTCDate()

  Return an UTC style date

  Returns:
    Date formatted in UTC format

### getISO8601Date

    public java.lang.String getISO8601Date()

  Return an ISO 8601 style date http://www.w3.org/TR/NOTE-datetime

  Returns:
    Date formatted in ISO 8601 format

### getDateAsFormat

    public java.lang.String getDateAsFormat(java.lang.String format)

  Return the blog entry date formatted with a specified date format

  Parameters:
    `format` - Date format
  Returns:
    `null` if the entry date or format is null, otherwise returns the entry date formatted to the specified format. If the format is invalid, returns `entryDate.toString()`

### getDateAsFormat

    public java.lang.String getDateAsFormat(java.lang.String format,
                                            java.util.Locale locale)

  Return the blog entry date formatted with a specified date format

  Parameters:
    `format` - Date format
    `locale` - Locale for date formatting
  Returns:
    `null` if the entry date or format is null, otherwise returns the entry date formatted to the specified format. If the format is invalid, returns `entryDate.toString()`

### getTitle

    public java.lang.String getTitle()

  Title of the blog entry

  Returns:
    Blog title

### setTitle

    public void setTitle(java.lang.String title)

  Set the title of the blog entry

  Parameters:
    `title` - Title for the blog entry

### getEscapedTitle

    public java.lang.String getEscapedTitle()

  Title for the entry where the <, >, and & characters are escaped

  Returns:
    Escaped entry title

### getDescription

    public java.lang.String getDescription()

  Description of the blog entry

  Returns:
    Blog entry description

### getEscapedDescription

    public java.lang.String getEscapedDescription()

  Escaped description of the blog entry This method would be used for generating RSS feeds where the <, >, and & characters are escaped

  Returns:
    Blog entry description where &, <, and > have been escaped

### setDescription

    public void setDescription(java.lang.String description)

  Set the description for the blog entry

  Parameters:
    `description` - Description for the blog entry

### getCategory

    public java.lang.String getCategory()

  Category for the blog entry. This corresponds to the category directory name.

  Returns:
    Blog entry category

### getEncodedCategory

    public java.lang.String getEncodedCategory()

  Return the category name encoded.

  Returns:
    Category name encoded as UTF-8

### getAllowComments

    public java.lang.Integer getAllowComments()

  Determines whether or not this blog entry supports comments.

  Returns:
    `true` if the blog entry supports comments, `false` otherwise

### allowsComments

    public java.lang.Boolean allowsComments()

  Whether or not comments are allowed

  Returns:
    `true` if comments are allowed, `false` otherwise

### setAllowComments

    public void setAllowComments(java.lang.Integer allowComments)

  Set whether comments are allowed

  Parameters:
    `allowComments` - `true` if comments are allowed, `false` otherwise

### getComments

    public java.util.List getComments()

  Get the comments

  Returns:
    List of comments

### setComments

    public void setComments(java.util.List comments)

  Set the comments for this blog entry. The comments must be an `List` of `Comment`. This method will not writeback or change the comments on disk.

  Parameters:
    `comments` - Comments for this entry

### getCommentsAsArray

    public Comment[] getCommentsAsArray()

  Get the comments as an array of `Comment` objects

  Returns:
    BlogComment[] array

### getNumComments

    public int getNumComments()

  Get the number of comments for this entry

  Returns:
    0 if comments is `null`, or the number of comments otherwise, which could be 0

### getAllowTrackbacks

    public java.lang.Integer getAllowTrackbacks()

  Determines whether or not this blog entry supports trackbacks.

  Returns:
    `true` if the blog entry supports trackbacks, `false` otherwise

### allowsTrackbacks

    public java.lang.Boolean allowsTrackbacks()

  Whether or not trackbacks are allowed

  Returns:
    `true` if trackbacks are allowed, `false` otherwise

### setAllowTrackbacks

    public void setAllowTrackbacks(java.lang.Integer allowTrackbacks)

  Set whether trackbacks are allowed

  Parameters:
    `allowTrackbacks` - `true` if trackbacks are allowed, `false` otherwise

### getTrackbacks

    public java.util.List getTrackbacks()

  Get the trackbacks

  Returns:
    List of trackbacks

### setTrackbacks

    public void setTrackbacks(java.util.List trackbacks)

  Set the trackbacks for this blog entry. The trackbacks must be an `List` of `Trackback`. This method will not writeback or change the trackbacks to disk.

  Parameters:
    `trackbacks` - Trackbacks for this entry

### getTrackbacksAsArray

    public Trackback[] getTrackbacksAsArray()

  Get the trackbacks as an array of Trackback objects

  Returns:
    Trackback[] array

### getNumTrackbacks

    public int getNumTrackbacks()

  Get the number of trackbacks for this entry

  Returns:
    0 if trackbacks is `null`, or the number of trackbacks otherwise, which could be 0

### getBlogCategory

    public Category getBlogCategory()

  Get the `Category` object for this blog entry

  Returns:
    `Category` object

### setBlogCategory

    public void setBlogCategory(Category blogCategory)

  Set the `Category` object for this blog entry

  Parameters:
    `blogCategory` - New `Category` object

### getMetaData

    public java.util.Map getMetaData()

  Return meta data for this blog entry. This method may return `null`.

  Returns:
    Meta data

### setMetaData

    public void setMetaData(java.util.Map metaData)

  Set the meta-data associated with this blog entry

  Parameters:
    `metaData` - Meta-data

### getAllowPingbacks

    public java.lang.Integer getAllowPingbacks()

  Determines whether or not this blog entry supports pingbacks.

  Returns:
    `true` if the blog entry supports pingbacks, `false` otherwise

### allowsPingbacks

    public java.lang.Boolean allowsPingbacks()

  Whether or not pingbacks are allowed

  Returns:
    `true` if pingbacks are allowed, `false` otherwise

### setAllowPingbacks

    public void setAllowPingbacks(java.lang.Integer allowPingbacks)

  Set whether pingbacks are allowed

  Parameters:
    `allowPingbacks` - `true` if pingbacks are allowed, `false` otherwise

### getPingbacks

    public java.util.List getPingbacks()

  Get the pingbacks for this entry

  Returns:
    List of `Pingback`

### setPingbacks

    public void setPingbacks(java.util.List pingbacks)

  Set the pingbacks for this blog entry. The pingbacks must be a `List` of `Pingback`. This method will not writeback or change the pingbacks to disk.

  Parameters:
    `pingbacks` - `Pingback`s for this entry

### getPingbacksAsArray

    public Pingback[] getPingbacksAsArray()

  Get the pingbacks as an array of `Pingback`s objects

  Returns:
    `Pingback`[] array

### getNumPingbacks

    public int getNumPingbacks()

  Get the number of pingbacks for this entry

  Returns:
    0 if pingbacks is `null`, or the number of pingbacks otherwise, which could be 0

### getStatus

    public java.lang.String getStatus()

  Get the status

  Returns:
    Status

### setStatus

    public void setStatus(java.lang.String status)

  Set the status

  Parameters:
    `status` - Status

### getAuthor

    public java.lang.String getAuthor()

  Get the author

  Returns:
    Author

### setAuthor

    public void setAuthor(java.lang.String author)

  Set the author

  Parameters:
    `author` - Author

### getPostSlug

    public java.lang.String getPostSlug()

  Get the post slug

  Returns:
    Post slug

### setPostSlug

    public void setPostSlug(java.lang.String postSlug)

  Set the post slug

  Parameters:
    `postSlug` - Post slug

### getModifiedDate

    public java.util.Date getModifiedDate()

  Get the last modified date

  Returns:
    Last modified date

### setModifiedDate

    public void setModifiedDate(java.util.Date modifiedDate)

  Set the last modified date

  Parameters:
    `modifiedDate` - Last modified date

### getResponses

    public java.util.List getResponses()

  Get the responses (comments, trackbacks, pingbacks)

  Returns:
    Responses (comments, trackbacks, pingbacks)

### getResponsesMatchingStatus

    public java.util.List getResponsesMatchingStatus(java.lang.String status)

  Get the responses (comments, trackbacks, pingbacks) matching some status code

  Parameters:
    `status` - Status code
  Returns:
    Responses (comments, trackbacks, pingbacks) matching some status code

### getResponsesNotMatchingStatus

    public java.util.List getResponsesNotMatchingStatus(java.lang.String status)

  Get the responses (comments, trackbacks, pingbacks) not matching some status code

  Parameters:
    `status` - Status code
  Returns:
    Responses (comments, trackbacks, pingbacks) not matching some status code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD